#-----------------------------------------------------------------------------
%{?!dist:	%define		dist	.ok}
%define		__python	/usr/bin/python3
%define		sname		%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	python3-cryptography_vectors
Version		:	40.0.2
Release		:	17.2.0.rel%{?dist}
Summary		:	Test vectors for the cryptography package

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	ASL 2.0 or BSD
URL		:	https://pypi.org/project/cryptography-vectors

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	%{__python}
BuildRequires	:	python3-setuptools

BuildArch	:	noarch
#-----------------------------------------------------------------------------
%description
Test vectors for the cryptography package.
 
The only purpose of this package is to be a building
requirement for python-cryptography, otherwise it has
no use. Don’t install it unless you really know what
you are doing.
 

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%license LICENSE
%{python3_sitelib}/%{sname}/*.py
%{python3_sitelib}/%{sname}/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/CMAC/*.txt
%{python3_sitelib}/%{sname}/HMAC/*.txt
%{python3_sitelib}/%{sname}/KDF/*.txt
%{python3_sitelib}/%{sname}/asymmetric/DER_Serialization/*.der
%{python3_sitelib}/%{sname}/asymmetric/DH/*.der
%{python3_sitelib}/%{sname}/asymmetric/DH/*.pem
%{python3_sitelib}/%{sname}/asymmetric/DH/*.fax
%{python3_sitelib}/%{sname}/asymmetric/DH/*.txt
%{python3_sitelib}/%{sname}/asymmetric/DSA/FIPS_186-2/*.rsp
%{python3_sitelib}/%{sname}/asymmetric/DSA/FIPS_186-2/*.txt
%{python3_sitelib}/%{sname}/asymmetric/DSA/FIPS_186-3/*.rsp
%{python3_sitelib}/%{sname}/asymmetric/DSA/FIPS_186-3/*.txt
%{python3_sitelib}/%{sname}/asymmetric/EC/*.txt
%{python3_sitelib}/%{sname}/asymmetric/ECDH/*.fax
%{python3_sitelib}/%{sname}/asymmetric/ECDH/*.txt
%{python3_sitelib}/%{sname}/asymmetric/ECDSA/FIPS_186-2/*.txt
%{python3_sitelib}/%{sname}/asymmetric/ECDSA/FIPS_186-2/*.rsp
%{python3_sitelib}/%{sname}/asymmetric/ECDSA/FIPS_186-3/*.txt
%{python3_sitelib}/%{sname}/asymmetric/ECDSA/FIPS_186-3/*.rsp
%{python3_sitelib}/%{sname}/asymmetric/ECDSA/SECP256K1/SigGen.txt
%{python3_sitelib}/%{sname}/asymmetric/Ed25519/*.pem
%{python3_sitelib}/%{sname}/asymmetric/Ed25519/*.der
%{python3_sitelib}/%{sname}/asymmetric/Ed25519/sign.input
%{python3_sitelib}/%{sname}/asymmetric/Ed448/*.pem
%{python3_sitelib}/%{sname}/asymmetric/Ed448/*.der
%{python3_sitelib}/%{sname}/asymmetric/Ed448/rfc8032.txt
%{python3_sitelib}/%{sname}/asymmetric/OpenSSH/*.pub
%{python3_sitelib}/%{sname}/asymmetric/OpenSSH/*.key
%{python3_sitelib}/%{sname}/asymmetric/OpenSSH/certs/*.pub
%{python3_sitelib}/%{sname}/asymmetric/OpenSSH/gen.sh
%{python3_sitelib}/%{sname}/asymmetric/PEM_Serialization/*.txt
%{python3_sitelib}/%{sname}/asymmetric/PEM_Serialization/*.pem
%{python3_sitelib}/%{sname}/asymmetric/PKCS8/*.pem
%{python3_sitelib}/%{sname}/asymmetric/PKCS8/rsa_pss_2048_pub.der
%{python3_sitelib}/%{sname}/asymmetric/RSA/*.txt
%{python3_sitelib}/%{sname}/asymmetric/RSA/FIPS_186-2/*.rsp
%{python3_sitelib}/%{sname}/asymmetric/RSA/FIPS_186-2/*.txt
%{python3_sitelib}/%{sname}/asymmetric/RSA/oaep-custom/*.txt
%{python3_sitelib}/%{sname}/asymmetric/RSA/pkcs-1v2-1d2-vec/*.txt
%{python3_sitelib}/%{sname}/asymmetric/Traditional_OpenSSL_Serialization/*.pem
%{python3_sitelib}/%{sname}/asymmetric/X25519/*.pem
%{python3_sitelib}/%{sname}/asymmetric/X25519/*.der
%{python3_sitelib}/%{sname}/asymmetric/X25519/*.txt
%{python3_sitelib}/%{sname}/asymmetric/X448/*.pem
%{python3_sitelib}/%{sname}/asymmetric/X448/*.der
%{python3_sitelib}/%{sname}/asymmetric/X448/*.txt
%{python3_sitelib}/%{sname}/asymmetric/public/PKCS1/*.pem
%{python3_sitelib}/%{sname}/asymmetric/public/PKCS1/*.der
%{python3_sitelib}/%{sname}/fernet/*.json
%{python3_sitelib}/%{sname}/ciphers/3DES/CBC/*.rsp
%{python3_sitelib}/%{sname}/ciphers/3DES/CFB/*.rsp
%{python3_sitelib}/%{sname}/ciphers/3DES/ECB/*.rsp
%{python3_sitelib}/%{sname}/ciphers/3DES/OFB/*.rsp
%{python3_sitelib}/%{sname}/ciphers/AES/CBC/*.rsp
%{python3_sitelib}/%{sname}/ciphers/AES/CCM/*.rsp
%{python3_sitelib}/%{sname}/ciphers/AES/CCM/*.txt
%{python3_sitelib}/%{sname}/ciphers/AES/CFB/*.rsp
%{python3_sitelib}/%{sname}/ciphers/AES/CTR/*.txt
%{python3_sitelib}/%{sname}/ciphers/AES/ECB/*.rsp
%{python3_sitelib}/%{sname}/ciphers/AES/GCM/*.rsp
%{python3_sitelib}/%{sname}/ciphers/AES/OFB/*.rsp
%{python3_sitelib}/%{sname}/ciphers/AES/OCB3/*.txt
%{python3_sitelib}/%{sname}/ciphers/AES/SIV/*.txt
%{python3_sitelib}/%{sname}/ciphers/AES/XTS/tweak-dataunitseqno/*.rsp
%{python3_sitelib}/%{sname}/ciphers/AES/XTS/tweak-128hexstr/*.rsp
%{python3_sitelib}/%{sname}/ciphers/ARC4/*.txt
%{python3_sitelib}/%{sname}/ciphers/Blowfish/*.txt
%{python3_sitelib}/%{sname}/ciphers/CAST5/*.txt
%{python3_sitelib}/%{sname}/ciphers/Camellia/*.txt
%{python3_sitelib}/%{sname}/ciphers/ChaCha*/*.txt
%{python3_sitelib}/%{sname}/ciphers/IDEA/*.txt
%{python3_sitelib}/%{sname}/ciphers/SEED/*.txt
%{python3_sitelib}/%{sname}/ciphers/SM4/*.txt
%{python3_sitelib}/%{sname}/hashes/MD5/*.txt
%{python3_sitelib}/%{sname}/hashes/SHA1/*.rsp
%{python3_sitelib}/%{sname}/hashes/SHA1/*.txt
%{python3_sitelib}/%{sname}/hashes/SHA2/*.rsp
%{python3_sitelib}/%{sname}/hashes/SHA2/*.txt
%{python3_sitelib}/%{sname}/hashes/SHA3/*.rsp
%{python3_sitelib}/%{sname}/hashes/SHAKE/*.rsp
%{python3_sitelib}/%{sname}/hashes/SM3/*.txt
%{python3_sitelib}/%{sname}/hashes/blake2/*.txt
%{python3_sitelib}/%{sname}/hashes/ripemd160/*.txt
%{python3_sitelib}/%{sname}/keywrap/*.txt
%{python3_sitelib}/%{sname}/keywrap/kwtestvectors/*.txt
%{python3_sitelib}/%{sname}/pkcs12/*.p12
%{python3_sitelib}/%{sname}/poly1305/rfc7539.txt
%{python3_sitelib}/%{sname}/pkcs7/amazon-roots.p7b
%{python3_sitelib}/%{sname}/pkcs7/amazon-roots.der
%{python3_sitelib}/%{sname}/pkcs7/enveloped.pem
%{python3_sitelib}/%{sname}/pkcs7/isrg.pem
%{python3_sitelib}/%{sname}/twofactor/rfc-*.txt
%{python3_sitelib}/%{sname}/x509/PKITS_data/certpairs/*.cp
%{python3_sitelib}/%{sname}/x509/PKITS_data/certs/*.crt
%{python3_sitelib}/%{sname}/x509/PKITS_data/crls/*.crl
%{python3_sitelib}/%{sname}/x509/PKITS_data/pkcs12/*.p12
%{python3_sitelib}/%{sname}/x509/PKITS_data/pkits.*
%{python3_sitelib}/%{sname}/x509/PKITS_data/smime/*.eml
%{python3_sitelib}/%{sname}/x509/PKITS_data/ReadMe.txt
%{python3_sitelib}/%{sname}/x509/custom/*.der
%{python3_sitelib}/%{sname}/x509/custom/*.pem
%{python3_sitelib}/%{sname}/x509/custom/ca/*.pem
%{python3_sitelib}/%{sname}/x509/ed448/*.pem
%{python3_sitelib}/%{sname}/x509/ed25519/*.pem
%{python3_sitelib}/%{sname}/x509/ocsp/*.der
%{python3_sitelib}/%{sname}/x509/requests/*.pem
%{python3_sitelib}/%{sname}/x509/requests/*.der
%{python3_sitelib}/%{sname}/x509/*.pem
%{python3_sitelib}/%{sname}/x509/*.der
%{python3_sitelib}/%{sname}-%{version}-*.egg-info/

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

echo "Version: %{version}" > PKG-INFO

%{__python}						\
	setup.py					\
	build						\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	setup.py					\
	install						\
	--root %{buildroot}				\

#-----------------------------------------------------------------------------
%changelog
